## hubzero-submit-server 3.9.1-1+deb12

=== Makefile ===
# @package      hubzero-submit-server
# @file         Makefile
# @copyright    Copyright (c) 2010-2020 The Regents of the University of California.
# @license      http://opensource.org/licenses/MIT MIT
#
# Copyright (c) 2010-2020 The Regents of the University of California.
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
# THE SOFTWARE.
#
# HUBzero is a registered trademark of The Regents of the University of California.
#

USRSBIN=$(DESTDIR)/usr/sbin
USR=$(DESTDIR)/usr
ETC=$(DESTDIR)/etc
VAR=$(DESTDIR)/var
OPT=$(DESTDIR)/opt

DISTRIBUTION := $(shell lsb_release -i -s)
MAJORVERSION := $(shell lsb_release -rs | cut -d . -f 1)

ifeq ($(DISTRIBUTION),Debian)
il=--install-layout=deb
endif

all:
	@true

install:
	install --mode 0640 -D submit-server-sqlite.service $(USR)/lib/systemd/system/submit-server.service
	install --mode 0755 -d $(OPT)/submit/systemd
	install --mode 0640 -D submit-server-sql.service    $(OPT)/submit/systemd/submit-server.service
	install --mode 0775 -d $(VAR)/log/submit
	install submit-server.py -D $(USRSBIN)/submit-server.py --mode 0740
	install submit-server.conf.in -D $(ETC)/submit/submit-server.conf --mode 0600
	python3 setup.py install $(COMPILE) --root $(DESTDIR) $(il)

uninstall:
	rm -f $(USR)/lib/systemd/system/submit-server.service
	rm -f $(USRSBIN)/submit-server.py
	rm -f $(ETC)/submit/submit-server.conf

postinst:
	rm -f $(ETC)/init.d/submit-server
	systmctl daemon-reload

clean:
	find . -name '*.pyc' -delete
	rm -f build-stamp
	rm -f configure-stamp
	python setup.py clean
	rm -fr build

.PHONY: all install uninstall postinst clean
