=== debian/changelog ===
hubzero-submit-server (3.9.1-1+deb12) unstable; urgency=low

     - Increased verbosity for missing Peagsus files error message.

 -- Steven Clark <clarksm@purdue.edu>  Thu, 13 Nov 2025 14:02:55 -0400
