## hubzero-submit-server 3.10.1-1+deb10

=== debian/changelog ===
hubzero-submit-server (3.10.1-1+deb10) unstable; urgency=low

     - Consolidate openLogger(), daemonize(), and writePIDFile() functions.
     - Add local execution operation mode.
     - Added option to enable/disable distributor, harvester, jobKill, jobStatus, venueStatus.
     - Updated default Pegasus version to 4.8.1
     - Set log level, log file, configuration file, through use of environment variables.
       The environment variables can be set in the unit service files.  This allows the same
       base to be used for multiple services.  Immediate use if for configuration of
       local only or restricted submit server.

 -- Steven Clark <clarksm@purdue.edu>  Wed, 10 Dec 2025 11:53:19 -0400
