## hubzero-submit-server 3.11.1-1+deb12

=== Makefile ===
--- 
+++ 
@@ -43,9 +43,13 @@
 	@true
 
 install:
-	install --mode 0640 -D submit-server-sqlite.service $(USR)/lib/systemd/system/submit-server.service
+	install --mode 0640 -D systemd/submit-server-sqlite.service $(USR)/lib/systemd/system/submit-server.service
 	install --mode 0755 -d $(OPT)/submit/systemd
-	install --mode 0640 -D submit-server-sql.service    $(OPT)/submit/systemd/submit-server.service
+	install --mode 0640 -D systemd/submit-server-sql.service    $(OPT)/submit/systemd/submit-server.service
+	install --mode 0755 -d $(OPT)/submit/rsyslog
+	install --mode 0755 -D rsyslog/generateRsyslogConf.py $(OPT)/submit/systemd/generateRsyslogConf.py
+	install --mode 0640 -D rsyslog/rsyslog-sqlite.json    $(OPT)/submit/systemd/rsyslog-sqlite.json
+	install --mode 0640 -D rsyslog/rsyslog-sql.json       $(OPT)/submit/systemd/rsyslog-sql.json
 	install --mode 0775 -d $(VAR)/log/submit
 	install submit-server.py -D $(USRSBIN)/submit-server.py --mode 0740
 	install submit-server.conf.in -D $(ETC)/submit/submit-server.conf --mode 0600
