=== debian/changelog ===
hubzero-submit-server (3.11.1-1+deb12) unstable; urgency=low

     - Move systemd unit files to separate directory
     - Run all daemon logging through rsyslog
     - Make way for systemd replacement for init.d

 -- Steven Clark <clarksm@purdue.edu>  Fri, 13 Feb 2026 11:02:22 -0400
